# PSF-LoginServer - master - net.psforever.objects.guid.selector.StrictInOrderSelector
PSF - LoginServer - master - net.psforever.objects.guid.selector.StrictInOrderSelector
Keywords: PSF LoginServer master net.psforever.objects.guid.selector.StrictInOrderSelector

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package guid
  Definition Classes
    objects
-  package selector
  Definition Classes
    guid
- NumberSelector
- OpportunisticSelector
- RandomSelector
- RandomSequenceSelector
- SpecificSelector
- StrictInOrderSelector

c

net.psforever.objects.guid.selector

# StrictInOrderSelector

###

#### class StrictInOrderSelector extends NumberSelector

Get the next number in this pool incrementally. Starting at index 0, for example, select each subsequent number as it is available. Do not progress if a number is not available when requested.

Source
  StrictInOrderSelector.scala

Linear Supertypes
NumberSelector, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StrictInOrderSelector
2. NumberSelector
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new StrictInOrderSelector()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Format(ary: Array[Int]): Unit

   Accept the indexing pool from which numbers are selected and returned.

   Accept the indexing pool from which numbers are selected and returned. Correct its format to suit the current `NumberSelector` algorithms.
   All of the numbers are sorted to their proper indexed position in the `Array`. Every other number is an invalid negative-one (-1). The `selectionIndex` is set to the index of the first valid number, or zero if there are none. The `ret` index is set to index zero.

   ary

     the `Array` of `Int` numbers

   Definition Classes
     StrictInOrderSelector → NumberSelector
5.  def Get(ary: Array[Int]): Int

   Accept a provided `pool` and select the next number.
   The main requirement for valid implementation of a `Get` selector is atomicity.

   Accept a provided `pool` and select the next number.
   The main requirement for valid implementation of a `Get` selector is atomicity. While `Get` could be written to run again for every failure, this should not be anticipated. A success means a "success." A failure means that no "success" would be possible no matter how many times it might be run under the current conditions. The aforementioned conditions may change depending on the nature of the specific selector; but, the previous requirement should not be violated.
   `Get` is under no obligation to not modify its parameter `Array`. In fact, it should do this by default to provide additional feedback of its process. Pass a copy if data mutation is a concern.

   ary

     the `Array` of `Int` numbers from which to draw a new number

   returns

     an `Int` number

   Definition Classes
     StrictInOrderSelector → NumberSelector
6.  def Return(number: Int, ary: Array[Int]): Boolean

   Give a number back to a specific collection following the principles of this selector.
   By default, a simple policy for returning numbers has been provided.

   Give a number back to a specific collection following the principles of this selector.
   By default, a simple policy for returning numbers has been provided. This will not be sufficient for all selection actions that can be implemented so `override` where necessary.
   `returnNumber` is under no obligation to leave its parameter `Array` unmodified. In fact, it should modify it by default to provide additional feedback of its process. Pass a copy if data mutation is a concern.

   number

     the number to be returned

   ary

     the `Array` of `Int` numbers to which the number is to be returned

   returns

     `true`, if this return was successful; `false`, otherwise

   Definition Classes
     NumberSelector
7.  def ReturnIndex: Int
   Definition Classes
     NumberSelector
8.  def SelectionIndex: Int
   Definition Classes
     NumberSelector
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  var ret: Int

    The index for the selector when performing a number return action, then modified for the "next" index.

    The index for the selector when performing a number return action, then modified for the "next" index.

    Attributes
      protected
    Definition Classes
      NumberSelector
21.  var selectionIndex: Int

    The index for the selector when performing a number selection action, then modified to the "next" index.

    The index for the selector when performing a number selection action, then modified to the "next" index.

    Attributes
      protected
    Definition Classes
      NumberSelector
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from NumberSelector

### Inherited from AnyRef

### Inherited from Any

### Ungrouped